Returns the BinaryInterface's data

- « MongoDB\BSON\BinaryInterface

- MongoDB\BSON\BinaryInterface::getType »

- PHP Manual
- MongoDB\BSON\BinaryInterface
- Returns the BinaryInterface's data

# MongoDB\BSON\BinaryInterface::getData

(mongodb >=1.3.0)

MongoDB\BSON\BinaryInterface::getData — Returns the BinaryInterface's data

### Description

abstract public MongoDB\BSON\BinaryInterface::getData(): string

### Parameters

This function has no parameters.

### Return Values

Returns the BinaryInterface's data.

### See Also

- MongoDB\BSON\Binary::getData() - Returns the Binary's data